// -- Modal styles ----------------------------------------------------

/*!
* Bootstrap v2.3.2
*
* Copyright 2012 Twitter, Inc
* Licensed under the Apache License v2.0
* http://www.apache.org/licenses/LICENSE-2.0
*
* Designed and built with all the love in the world @twitter by @mdo and @fat.
*/

.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: rgba(0, 0, 0, 0.8);

  &.fade {
    opacity: 0;
  }
}

.modal-backdrop,
.modal-backdrop.fade.in {
  opacity: 0.9;
  filter: alpha(opacity=90);
}

.BtnCancel,
.BtnCancelCloseAll {
  width: 22px;
  height: 22px;
  cursor: pointer;
  border: none;
  position: absolute;
  top: 20px;
  right: 20px;
  padding: 4px;
  background-image: url("./svg/close.svg");
  background-repeat: no-repeat;
}

.BtnBack {
  width: 22px;
  height: 22px;
  cursor: pointer;
  border: none;
  position: absolute;
  top: 20px;
  left: 20px;
  padding: 4px;
}

.modal {
  position: absolute;
  top: 0;
  left: 50%;
  z-index: 1050;
  width: 90%;
  min-width: 200px;
  max-height: 1024px;
  height: 100%;
  margin-left: -45%;
  background: white;
  border: none;
  outline: none;
  visibility: visible;
  -webkit-background-clip: padding-box;
  -moz-background-clip: padding-box;
  background-clip: padding-box;

  @include box-shadow(0, 3px, 7px, rgba(black, 0.3));
  @include user-select(none);

  @media (min-height: 670px) {
    @media (min-width: 640px) {
      @include breakpoint(small) {
        @include border-radius();
        top: 8%;
        margin-left: -240px;
        width: 480px;
        height: 82%;
      }
    }
  }

  @media (max-height: 670px) {
    top: 0%;
    height: 100%;
  }

  @media (max-width: 640px) {
    margin-left: -50%;
    width: 100%;
  }

  &.hide {
    visibility: hidden;
  }

  &.fade {
    top: -25%;
    visibility: hidden;

    @include transition(top 0.3s ease-out);
  }

  &.fade.in {
    top: 0;
    visibility: visible;

    @include breakpoint(small) {
      top: 8%;
    }
  }
}

.modal-content {
  height: 100%;
}

.modal-header {
  padding: 9px 25px;
  border-bottom: 1px solid $light-grey;
  height: 60px;

  h2 {
    text-align: center;
    margin-top: 12px;
    margin-bottom: 8px;

    @include font-size(20);
  }
}

.modal-body {
  position: relative;
  padding: 24px;
  text-align: center;
  height: -moz-calc(100% - 60px);
  height: -webkit-calc(100% - 60px);
  height: calc(100% - 60px);
  overflow-y: auto;

  display: flex;
  flex-flow: column;
}

.credential {
  font-family: $monospace-font-family;
  letter-spacing: 0.5px;
  background: $input-color;
  border: 1px solid $input-color;
  color: $text-header-color;
  overflow-wrap: break-word;
  word-break: break-all;
  font-weight: $regular;
  padding: 16px 32px;
  width: 100%;
  word-break: break-word;

  @include border-radius();
  @include user-select(all);
  @include font-size($monospace-font-size);
  @include line-height($monospace-line-height);

  @include breakpoint(small) {
    padding: 16px 80px;
  }
}

.modal-form {
  margin-bottom: 0;
}

.modal-footer {
  padding: 15px 25px 25px;
  margin-bottom: 0;
  text-align: center;
  background: white;
  border-top: 1px solid $light-grey;

  @include border-bottom-radius(6px);
  @include box-shadow(0, 1px, 0, white, true);

  .btn + .btn {
    margin-bottom: 0;
    margin-left: 5px;
  }

  .btn-group .btn + .btn {
    margin-left: -1px;
  }

  .btn-block + .btn-block {
    margin-left: 0;
  }

  &::after,
  &::before {
    display: table;
    line-height: 0;
    content: "";
  }

  &::after {
    clear: both;
  }
}

.fade {
  opacity: 0;

  @include transition(opacity 0.15s linear);
}

.fade.in {
  opacity: 1;
}

// -------------------------------------------------------------------
// Flex-based button positioning for modals
// -------------------------------------------------------------------
.modal-content-main {
  flex: 0 1 auto;
}

.modal-content-space {
  flex: 1 1 auto;
}

.modal-content-buttons {
  flex: 0 1 auto;
  margin-top: 24px;
  button {
    max-height: 36px;
  }
}

/*  DEPRECATED
.modal-body .pure-button-primary {
  @media (min-height: 900px) {
    position: absolute;
    bottom: 0;
    left: 24px;
    width: calc(100% - 48px);
  }

  @media (max-height: 900px) {
    margin-top: 24px;
  }
}
*/

// -------------------------------------------------------------------
// Alert box
// -------------------------------------------------------------------
.alert-box {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  display: none;
  z-index: 9999999;
}

.alert-box-overlay {
  width: 100%;
  height: 100%;
  z-index: 1040;
  background-color: rgba(0, 0, 0, 0.5);
}

.alert-box-container .message-container {
  margin-bottom: 32px;
}

.message-container {
  user-select: text;
}
// -------------------------------------------------------------------
// Special elements styling
// -------------------------------------------------------------------
.pure-form select,
.modal-body select {
    background: $input-color;
    border: 1px solid #CCC;
    box-shadow: none;
    margin: 0 0 16px;
    width: 100%;
    height: 56px;
    padding: 0.7em 24px;
    color: $text-header-color !important;
    letter-spacing: 1px;
    font-weight: $regular;
    display: inline-block;
    @include border-radius();
    @include font-size();
    @include transition(all 0.3s ease-in);
    @include user-select(auto);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: linear-gradient(45deg, transparent 50%, grey 50%), linear-gradient(135deg, grey 50%, transparent 50%), linear-gradient(to right, #ededee, #ededee);
    background-position: calc(100% - 19px) 50%,calc(100% - 14px) 50%,100% 0;
    background-size: 5px 5px, 5px 5px, 2.5em 5em;
    background-repeat: no-repeat;

    &:hover {
      border: 1px solid #3fa4af;
    }
}
// -------------------------------------------------------------------
// QR code key
// -------------------------------------------------------------------
#keyQrCode {
  margin: 0 auto;
  height: 160px;
  width: 160px;
  background: #eee;
}
